package antispam

import (
	"testing"

	"github.com/stretchr/testify/require"
)

func Test_normalizeUser(t *testing.T) {
	require.Equal(t, normalizeUser("aBc!dEf@gHi"), normalizeUser("Abby!dEf@GhI"))
	require.Equal(t, "*!ident@host", normalizeUser("nick!ident@host"))
}

func Test_normalizeCommand(t *testing.T) {
	require.Equal(t, normalizeCommand("!ping"), normalizeCommand("!PiNG"))
}
